Subject: Re: bug#8160: `hack-local-variables-confirm' <-- a confirmed hack!

From: Chong Yidong <[email-masked]>
Date: Sat, 05 Mar 2011 14:46:14 -0500

MON KEY <[email-masked]> writes:

> The safety of a package name (and Emacs poorly informed consideration
> thereof) is simply _NONE_ of Emacs' business!

If so, (setq enable-local-variables :all) will do the job for you (and
possibly lead to security problems, but it's your call).

> Worst of all is that if I "C-g' inside `hack-local-variables-confirm'
> it doesn't even bother to clean up after itself with an
> `unwind-protect' and instead leaves behind the "*Local Variables*"
> buffer created with (get-buffer-create "*Local Variables*").

This is so that you can go back and look at what the problematic
variables were.